<?php

Route::get('/', 'DashboardController')->name('admin.dashboard.index');

Route::group(['prefix' => 'event'], function (): void {
    Route::get('/', 'EventController@index')->name('admin.event.index');
    Route::post('/', 'EventController@store')->name('admin.event.store');
    Route::get('create', 'EventController@create')->name('admin.event.create');
    Route::get('{event}', 'EventController@show')->name('admin.event.show');
    Route::get('{event}/edit', 'EventController@edit')->name('admin.event.edit');
    Route::post('{event}/update', 'EventController@update')->name('admin.event.update');
});

Route::group(['prefix' => 'permissions'], function (): void {
    Route::get('/', 'PermissionController@index')->name('admin.permission.index');
    Route::post('/', 'PermissionController@store')->name('admin.permission.store');
    Route::group(['prefix' => 'roles'], function (): void {
        Route::get('/', 'RoleController@index')->name('admin.permission.role.index');
        Route::get('{role}', 'RoleController@show')->name('admin.permission.role.show');
        Route::get('{role}/edit', 'RoleController@edit')->name('admin.permission.role.edit');
        Route::post('/', 'RoleController@store')->name('admin.permission.role.store');
        Route::post('{role}/delete', 'RoleController@destroy')->name('admin.permission.role.destroy');
        Route::post('{role}', 'RoleController@update')->name('admin.permission.role.update');
    });
});
