<?php

namespace EventPortal\Tests;

use EventPortal\Providers\EventPortalServiceProvider;
use EventPortal\Tests\Support\Assertions\CollectionAssertions;
use EventPortal\Tests\Support\Assertions\PropAssertions;
use EventPortal\Tests\Support\Traits\InteractsWithModels;
use Illuminate\Support\Collection;
use Illuminate\Testing\TestResponse;

class TestCase extends \Orchestra\Testbench\TestCase
{
    use InteractsWithModels;

    public function setUp(): void
    {
        parent::setUp();

        $this->loadMigrationsFrom(base_path('/database/migrations'));

        TestResponse::mixin(new PropAssertions);
        Collection::mixin(new CollectionAssertions);
    }

    protected function getEnvironmentSetUp($app)
    {
        $fields = include './config/defaults/event/fields.php';
        $tableColumns = include './config/defaults/event/tableColumns.php';

        $permissions = include './config/permission.php';

        $app->config->set('defaults.event.fields', $fields);
        $app->config->set('defaults.event.tableColumns', $tableColumns);
        $app->config->set('permission', $permissions);
    }

    protected function getPackageProviders($app)
    {
        return [EventPortalServiceProvider::class];
    }
}
